device_type: synquacer-uboot
job_name: {{ job_name }}
visibility: public
timeouts:
  job:
    minutes: 60
  action:
    minutes: 60
  connection:
    minutes: 2

actions:

- deploy:
    to: downloads
    images:
      os:
        url: {{ os_url }}
        {%- set os_path, os_extension = splitext(os_url) %}
        compression: {{ os_extension[1:] }}
    postprocess:
      docker:
        image: debian
        steps:
          # This will split the OS into two smaller images: xaa and xab
          - 'split -b 1280M ewaol-baremetal-image-ledge-secure-qemuarm64.rootfs.wic'
          - 'ls'

- deploy:
    to: tftp
    kernel:
        url: downloads://xaa
    dtb:
        url: downloads://xab
 
- boot:
    method: u-boot    
    timeout:
      minutes: 30
    auto_login:
      login_prompt: 'login:'
      username: 'root'
    prompts:
      - ewaol@(.*):[/~]\$
      - root@(.*):[/~]#
    commands:
      - setenv serverip {SERVER_IP} && setenv ipaddr 172.27.16.144
      - scsi rescan && scsi dev 0 && scsi info
      - tftp 0x90000000 {KERNEL}
      - scsi write 0x90000000 0 280000
      - tftp 0x90000000 {DTB}
      - scsi write 0x90000000 280000 280000
      - efidebug boot add -b 1 trs scsi 0:1 efi/boot/bootaa64.efi -I scsi 0:1 ledge-initramfs.rootfs.cpio.gz -s 'console=ttyAMA0,115200 console=tty0 root=UUID=6091b3a4-ce08-3020-93a6-f755a22ef03b rootwait panic=60'
      - efidebug boot order 1
      - echo "Starting kernel"; bootefi bootmgr
